package es.ull.iis.simulation.modelPRM;

public enum DelayCode {
	CODE_00("00-05"),
	CODE_06("06(OA)"),
	CODE_09("09(SG)"),
	CODE_11("11(PD)"),
	CODE_12("12(PL)"),
	CODE_13("13(PE)"),
	CODE_14("14(PO)"),
	CODE_15("15(PH)"),
	CODE_16("16(PS)"),
	CODE_17("17(PC)"),
	CODE_18("18(PB)"),
	CODE_19("19(PW)"),
	CODE_21("21(CD)"),
	CODE_22("22(CP)"),
	CODE_23("23(CC)"),
	CODE_24("24(CI)"),
	CODE_25("25(CO)"),
	CODE_26("26(CU)"),
	CODE_27("27(CE)"),
	CODE_28("28(CL)"),
	CODE_29("29(CA)"),
	CODE_31("31(GD)"),
	CODE_32("32(GL)"),
	CODE_33("33(GE)"),
	CODE_34("34(GS)"),
	CODE_35("35(GC)"),
	CODE_36("36(GF)"),
	CODE_37("37(GB)"),
	CODE_38("38(GU)"),
	CODE_39("39(GT)"),
	CODE_41("41(TD)"),
	CODE_42("42(TM)"),
	CODE_43("43(TN)"),
	CODE_44("44(TS)"),
	CODE_45("45(TA)"),
	CODE_46("46(TC)"),
	CODE_47("47(TL)"),
	CODE_48("48(TV)"),
	CODE_51("51(DF)"),
	CODE_52("52(DG)"),
	CODE_55("55(DE)"),
	CODE_56("56(EC)"),
	CODE_57("57(EF)"),
	CODE_58("58(EO)"),
	CODE_61("61(FP)"),
	CODE_62("62(FF)"),
	CODE_63("63(FT)"),
	CODE_64("64(FS)"),
	CODE_65("65(FR)"),
	CODE_66("66(FL)"),
	CODE_67("67(FC)"),
	CODE_68("68(FA)"),
	CODE_69("69(FB)"),
	CODE_71("71(WO)"),
	CODE_72("72(WT)"),
	CODE_73("73(WR)"),
	CODE_75("75(WI)"),
	CODE_76("76(WS)"),
	CODE_77("77(WG)"),
	CODE_81("81(AT)"),
	CODE_82("82(AX)"),
	CODE_83("83(AE)"),
	CODE_84("84(AW)"),
	CODE_85("85(AS)"),
	CODE_86("86(AG)"),
	CODE_87("87(AF)"),
	CODE_88("88(AD)"),
	CODE_89("89(AM)"),
	CODE_91("91(RL)"),
	CODE_92("92(RT)"),
	CODE_93("93(RA)"),
	CODE_94("94(RS)"),
	CODE_95("95(RC)"),
	CODE_96("96(RO)"),
	CODE_97("97(MI)"),
	CODE_98("98(MO)"),
	CODE_99("99(MX)");

	/** Short name of the instance */
	private final String shortName;

	private DelayCode(String shortName) {
		this.shortName = shortName;
	}
	
	public String getShortName() {
		return shortName;
	}
}